
package testwsse.bookstore.auth;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the testwsse.bookstore.auth package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _GetItemByIdResponse_QNAME = new QName("http://bookstore.parasoft.com/", "getItemByIdResponse");
    private final static QName _GetItemById_QNAME = new QName("http://bookstore.parasoft.com/", "getItemById");
    private final static QName _UpdateItemInCart_QNAME = new QName("http://bookstore.parasoft.com/", "updateItemInCart");
    private final static QName _AddNewItemToInventoryResponse_QNAME = new QName("http://bookstore.parasoft.com/", "addNewItemToInventoryResponse");
    private final static QName _GetItemByTitleResponse_QNAME = new QName("http://bookstore.parasoft.com/", "getItemByTitleResponse");
    private final static QName _AddNewItemToInventory_QNAME = new QName("http://bookstore.parasoft.com/", "addNewItemToInventory");
    private final static QName _SubmitOrder_QNAME = new QName("http://bookstore.parasoft.com/", "submitOrder");
    private final static QName _SubmitOrderResponse_QNAME = new QName("http://bookstore.parasoft.com/", "submitOrderResponse");
    private final static QName _GetItemsInCartResponse_QNAME = new QName("http://bookstore.parasoft.com/", "getItemsInCartResponse");
    private final static QName _AddItemToCart_QNAME = new QName("http://bookstore.parasoft.com/", "addItemToCart");
    private final static QName _AddItemToCartResponse_QNAME = new QName("http://bookstore.parasoft.com/", "addItemToCartResponse");
    private final static QName _UpdateItemInCartResponse_QNAME = new QName("http://bookstore.parasoft.com/", "updateItemInCartResponse");
    private final static QName _GetItemsInCart_QNAME = new QName("http://bookstore.parasoft.com/", "getItemsInCart");
    private final static QName _Exception_QNAME = new QName("http://bookstore.parasoft.com/", "Exception");
    private final static QName _GetItemByTitle_QNAME = new QName("http://bookstore.parasoft.com/", "getItemByTitle");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: testwsse.bookstore.auth
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Exception }
     * 
     */
    public Exception createException() {
        return new Exception();
    }

    /**
     * Create an instance of {@link GetItemByTitle }
     * 
     */
    public GetItemByTitle createGetItemByTitle() {
        return new GetItemByTitle();
    }

    /**
     * Create an instance of {@link GetItemsInCart }
     * 
     */
    public GetItemsInCart createGetItemsInCart() {
        return new GetItemsInCart();
    }

    /**
     * Create an instance of {@link UpdateItemInCartResponse }
     * 
     */
    public UpdateItemInCartResponse createUpdateItemInCartResponse() {
        return new UpdateItemInCartResponse();
    }

    /**
     * Create an instance of {@link AddItemToCartResponse }
     * 
     */
    public AddItemToCartResponse createAddItemToCartResponse() {
        return new AddItemToCartResponse();
    }

    /**
     * Create an instance of {@link SubmitOrder }
     * 
     */
    public SubmitOrder createSubmitOrder() {
        return new SubmitOrder();
    }

    /**
     * Create an instance of {@link SubmitOrderResponse }
     * 
     */
    public SubmitOrderResponse createSubmitOrderResponse() {
        return new SubmitOrderResponse();
    }

    /**
     * Create an instance of {@link GetItemsInCartResponse }
     * 
     */
    public GetItemsInCartResponse createGetItemsInCartResponse() {
        return new GetItemsInCartResponse();
    }

    /**
     * Create an instance of {@link AddItemToCart }
     * 
     */
    public AddItemToCart createAddItemToCart() {
        return new AddItemToCart();
    }

    /**
     * Create an instance of {@link AddNewItemToInventory }
     * 
     */
    public AddNewItemToInventory createAddNewItemToInventory() {
        return new AddNewItemToInventory();
    }

    /**
     * Create an instance of {@link UpdateItemInCart }
     * 
     */
    public UpdateItemInCart createUpdateItemInCart() {
        return new UpdateItemInCart();
    }

    /**
     * Create an instance of {@link AddNewItemToInventoryResponse }
     * 
     */
    public AddNewItemToInventoryResponse createAddNewItemToInventoryResponse() {
        return new AddNewItemToInventoryResponse();
    }

    /**
     * Create an instance of {@link GetItemByTitleResponse }
     * 
     */
    public GetItemByTitleResponse createGetItemByTitleResponse() {
        return new GetItemByTitleResponse();
    }

    /**
     * Create an instance of {@link GetItemById }
     * 
     */
    public GetItemById createGetItemById() {
        return new GetItemById();
    }

    /**
     * Create an instance of {@link GetItemByIdResponse }
     * 
     */
    public GetItemByIdResponse createGetItemByIdResponse() {
        return new GetItemByIdResponse();
    }

    /**
     * Create an instance of {@link SubmittedOrder }
     * 
     */
    public SubmittedOrder createSubmittedOrder() {
        return new SubmittedOrder();
    }

    /**
     * Create an instance of {@link Order }
     * 
     */
    public Order createOrder() {
        return new Order();
    }

    /**
     * Create an instance of {@link Item }
     * 
     */
    public Item createItem() {
        return new Item();
    }

    /**
     * Create an instance of {@link Book }
     * 
     */
    public Book createBook() {
        return new Book();
    }

    /**
     * Create an instance of {@link DisplayOrder }
     * 
     */
    public DisplayOrder createDisplayOrder() {
        return new DisplayOrder();
    }

    /**
     * Create an instance of {@link CartManager }
     * 
     */
    public CartManager createCartManager() {
        return new CartManager();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetItemByIdResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://bookstore.parasoft.com/", name = "getItemByIdResponse")
    public JAXBElement<GetItemByIdResponse> createGetItemByIdResponse(GetItemByIdResponse value) {
        return new JAXBElement<GetItemByIdResponse>(_GetItemByIdResponse_QNAME, GetItemByIdResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetItemById }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://bookstore.parasoft.com/", name = "getItemById")
    public JAXBElement<GetItemById> createGetItemById(GetItemById value) {
        return new JAXBElement<GetItemById>(_GetItemById_QNAME, GetItemById.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UpdateItemInCart }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://bookstore.parasoft.com/", name = "updateItemInCart")
    public JAXBElement<UpdateItemInCart> createUpdateItemInCart(UpdateItemInCart value) {
        return new JAXBElement<UpdateItemInCart>(_UpdateItemInCart_QNAME, UpdateItemInCart.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddNewItemToInventoryResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://bookstore.parasoft.com/", name = "addNewItemToInventoryResponse")
    public JAXBElement<AddNewItemToInventoryResponse> createAddNewItemToInventoryResponse(AddNewItemToInventoryResponse value) {
        return new JAXBElement<AddNewItemToInventoryResponse>(_AddNewItemToInventoryResponse_QNAME, AddNewItemToInventoryResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetItemByTitleResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://bookstore.parasoft.com/", name = "getItemByTitleResponse")
    public JAXBElement<GetItemByTitleResponse> createGetItemByTitleResponse(GetItemByTitleResponse value) {
        return new JAXBElement<GetItemByTitleResponse>(_GetItemByTitleResponse_QNAME, GetItemByTitleResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddNewItemToInventory }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://bookstore.parasoft.com/", name = "addNewItemToInventory")
    public JAXBElement<AddNewItemToInventory> createAddNewItemToInventory(AddNewItemToInventory value) {
        return new JAXBElement<AddNewItemToInventory>(_AddNewItemToInventory_QNAME, AddNewItemToInventory.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SubmitOrder }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://bookstore.parasoft.com/", name = "submitOrder")
    public JAXBElement<SubmitOrder> createSubmitOrder(SubmitOrder value) {
        return new JAXBElement<SubmitOrder>(_SubmitOrder_QNAME, SubmitOrder.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SubmitOrderResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://bookstore.parasoft.com/", name = "submitOrderResponse")
    public JAXBElement<SubmitOrderResponse> createSubmitOrderResponse(SubmitOrderResponse value) {
        return new JAXBElement<SubmitOrderResponse>(_SubmitOrderResponse_QNAME, SubmitOrderResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetItemsInCartResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://bookstore.parasoft.com/", name = "getItemsInCartResponse")
    public JAXBElement<GetItemsInCartResponse> createGetItemsInCartResponse(GetItemsInCartResponse value) {
        return new JAXBElement<GetItemsInCartResponse>(_GetItemsInCartResponse_QNAME, GetItemsInCartResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddItemToCart }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://bookstore.parasoft.com/", name = "addItemToCart")
    public JAXBElement<AddItemToCart> createAddItemToCart(AddItemToCart value) {
        return new JAXBElement<AddItemToCart>(_AddItemToCart_QNAME, AddItemToCart.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddItemToCartResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://bookstore.parasoft.com/", name = "addItemToCartResponse")
    public JAXBElement<AddItemToCartResponse> createAddItemToCartResponse(AddItemToCartResponse value) {
        return new JAXBElement<AddItemToCartResponse>(_AddItemToCartResponse_QNAME, AddItemToCartResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UpdateItemInCartResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://bookstore.parasoft.com/", name = "updateItemInCartResponse")
    public JAXBElement<UpdateItemInCartResponse> createUpdateItemInCartResponse(UpdateItemInCartResponse value) {
        return new JAXBElement<UpdateItemInCartResponse>(_UpdateItemInCartResponse_QNAME, UpdateItemInCartResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetItemsInCart }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://bookstore.parasoft.com/", name = "getItemsInCart")
    public JAXBElement<GetItemsInCart> createGetItemsInCart(GetItemsInCart value) {
        return new JAXBElement<GetItemsInCart>(_GetItemsInCart_QNAME, GetItemsInCart.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Exception }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://bookstore.parasoft.com/", name = "Exception")
    public JAXBElement<Exception> createException(Exception value) {
        return new JAXBElement<Exception>(_Exception_QNAME, Exception.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetItemByTitle }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://bookstore.parasoft.com/", name = "getItemByTitle")
    public JAXBElement<GetItemByTitle> createGetItemByTitle(GetItemByTitle value) {
        return new JAXBElement<GetItemByTitle>(_GetItemByTitle_QNAME, GetItemByTitle.class, null, value);
    }

}
